import { Component, OnInit } from '@angular/core';
import {ApiService} from '../../service/api';
import {NzMessageService} from 'ng-zorro-antd';
import {Router} from '@angular/router';
import {fadeIn} from '../../animation/fade-in';

@Component({
  selector: 'app-sensor-detail',
  templateUrl: './sensor-detail.component.html',
  styleUrls: ['./sensor-detail.component.scss'],
  animations: [fadeIn]
})
export class SensorDetailComponent implements OnInit {

  isLoading = false;
  data = [];
  selectTime = 24;
  req = {};
  selectTime2 = 24;
  req2 = {};
  items = [{
    name: '液位',
    data: '1',
    per: '℃',
    max: '2',
    min: '0',
    time: new Date().getTime()
  }, {
    name: '液位',
    data: '1',
    per: '℃',
    max: '2',
    min: '0',
    time: new Date().getTime()
  }, {
    name: '液位',
    data: '1',
    per: '℃',
    max: '2',
    min: '0',
    time: new Date().getTime()
  }];
  constructor(private api: ApiService, private message: NzMessageService, private router: Router) { }

  ngOnInit() {
    this.init();
  }

  init() {
    this.getData();
  }

  next = (data) => {
    if (data && data.constructor === Array) {
      this.data = data;
    } else if (data.code === 1) {
      this.message.success(data && data.message ? data.message : '操作成功');
    } else if (data.code === 0) {
      this.message.error(data && data.message ? data.message : '操作失败');
    } else {
      this.message.error(data && data.message ? data.message : '获取数据失败');
    }
  }

  getData() {
    this.api.role.getAll(['', this.next]);
  }

  toDetail() {
    this.router.navigate(['/app/deviceCenter/sensorMgr/sensorDetail']);
  }

  onSearch() {}

  onSearch2() {}

  close() {}
}
